/**	CODE CREATED AND OWNED BY SIDDHARTH M. BHATIA
* DON'T USE WITHOUT PERMISSION 
*/

/*Glowing button*/



*:hover.glow {
    transition: 0.5s;
    background-color: #3dc77da4;
    min-block-size: 2px;
    box-shadow: 0 0 10px #3dc77d, 0 0 40px #3dc77d, 0 0 80px #3dc77d;
}


/*Glide effect*/

*.glide span {
    position: absolute;
    display: block;
}

*:hover.glide {
    transition-delay: 0.9s;
}

*.glide span:nth-child(1) {
    top: 0;
    left: -100%;
    width: 100%;
    height: 2px;
    background: linear-gradient(90deg, white, #3dc77d);
}

*:hover.glide span:nth-child(1) {
    left: 100%;
    transition: 1s;
}

*.glide span:nth-child(3) {
    bottom: 0;
    right: -100%;
    width: 100%;
    height: 2px;
    background: linear-gradient(270deg, white, #3dc77d);
}

*:hover.glide span:nth-child(3) {
    right: 100%;
    transition: 1s;
    transition-delay: 0.5s;
}

*.glide span:nth-child(2) {
    top: -100%;
    right: 0;
    width: 2px;
    height: 100%;
    background: linear-gradient(180deg, white, #3dc77d);
}

*:hover.glide span:nth-child(2) {
    top: 100%;
    transition: 1s;
    transition-delay: 0.25s;
}

*.glide span:nth-child(4) {
    bottom: -100%;
    left: 0;
    width: 2px;
    height: 100%;
    background: linear-gradient(360deg, white, #3dc77d);
}

*:hover.glide span:nth-child(4) {
    bottom: 0;
    transition: 1s;
    transition-delay: 0.75s;
}